{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.phpstorm;
in {
  options.marleyos.programs.phpstorm.enable = lib.mkEnableOption "phpstorm";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      jetbrains.phpstorm
    ];
  };
}
